Modify

Opened 3 years ago

Closed 3 years ago

#19091 closed defect (no_response)

System stop hard because of ath9k driver - sometimes with right WPA2 key - much more with wrong WPA2 key

Reported by: jonathan.vonWittern@… Owned by: developers
Priority: high Milestone: Barrier Breaker 14.07
Component: kernel Version: Barrier Breaker 14.07
Keywords: ath9k driver Cc:

Description

Dear Ladies and Gentlemen,

we would use your Carambola 2 WLAN module for a development project of white goods market. The decision to use your board for the product is fixed at the moment. But we have problems with the ath9k driver inside the openWrt Linux distribution.

If we configure the Carambola 2 board as client with WPA2 encryption and right key it works almost 9 times from 10 times. Otherwise the operation system stops hard.
If we configure the Carambola 2 board as client with WPA2 encryption and wrong key it works only 2 times from 2 times. Otherwise the operation system stops hard.

Following is the wireless configuration with wrong password as example:

root@OpenWrt:/# cat /etc/config/wireless

config wifi-device 'radio0'

option type 'mac80211'
option hwmode '11g'
option path 'platform/ar933x_wmac'
option htmode 'HT20'
option disabled '0'
option channel '6'
option country 'DE'

config wifi-iface

option device 'radio0'
option disabled '0'
option mode 'sta'
option network 'obswifi'
option ssid 'xxxxxxxxxxxx'
option key 'Veylongpassword'
option encryption 'psk2+tkip+ccmp'

Following is the operating system we use:

root@OpenWrt:/# cat /etc/openwrt_release
DISTRIB_ID="OpenWrt"
DISTRIB_RELEASE="Barrier Breaker"
DISTRIB_REVISION="r43085"
DISTRIB_CODENAME="barrier_breaker"
DISTRIB_TARGET="ar71xx/generic"
DISTRIB_DESCRIPTION="OpenWrt Barrier Breaker 14.07"
DISTRIB_TAINTS="no-all"

Following is the hard stop of the operating system with kernel panic = -1 kernelcmd configuration:

root@OpenWrt:/#
root@OpenWrt:/# [ 485.410000] device wlan0 left promiscuous mode
[ 485.410000] br-lan: port 2(wlan0) entered disabled state
[ 486.400000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 488.110000] wlan0: authenticate with 90:f6:52:7f:65:bc
[ 488.120000] wlan0: send auth to 90:f6:52:7f:65:bc (try 1/3)
[ 488.660000] wlan0: authenticated
[ 488.670000] wlan0: associate with 90:f6:52:7f:65:bc (try 1/3)
[ 488.670000] wlan0: RX AssocResp from 90:f6:52:7f:65:bc (capab=0x431 status=0 aid=3)
[ 488.680000] wlan0: associated
[ 488.680000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0:
[ 491.690000] wlan0: deauthenticated from 90:f6:52:7f:65:bc (Reason: 6=CLASS2_FRAME_FROM_NONAUTH_STA)

U-Boot 1.1.4-g33f82657-dirty (Sep 16 2013 - 16:09:28)

=====================================
CARAMBOLA2 v1.0 (AR9331) U-boot
http://www.8devices.com/


DRAM: 64 MB
Flash: 16 MB
Net: eth0, eth1
=====================================

Hit ESC key to stop autoboot: 0

## Checking Image at 9f050000 ...

Image Name: MIPS OpenWrt Linux-3.10.49
Created: 2015-03-02 17:55:46 UTC
Image Type: MIPS Linux Kernel Image (lzma compressed)
Data Size: 1057006 Bytes = 1 MB
Load Address: 80060000
Entry Point: 80060000
Verifying Checksum ... OK

Saving Environment to Flash...
.
.## Booting image at 9f050000 ...

Image Name: MIPS OpenWrt Linux-3.10.49
Created: 2015-03-02 17:55:46 UTC
Image Type: MIPS Linux Kernel Image (lzma compressed)
Data Size: 1057006 Bytes = 1 MB
Load Address: 80060000
Entry Point: 80060000
Verifying Checksum at 0x9f050040 ...OK
Uncompressing Kernel Image ... OK

Starting kernel ...

[ 0.000000] Linux version 3.10.49 (alex@ubuntu1404) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r43085) ) #1 Mon Mar 2 18:55:10 CET 2015
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[ 0.000000] SoC: Atheros AR9330 rev 1
[ 0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:40.000MHz
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 04000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone ranges:
[ 0.000000] Normal [mem 0x00000000-0x03ffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00000000-0x03ffffff]
[ 0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 16256
[ 0.000000] Kernel command line: board=CARAMBOLA2 console=ttyATH0,115200 mtdparts=spi0.0:256k(u-boot)ro,64k(u-boot-env),8000k(firmware),8000k(backup),64k(art)ro rootfstype=squashfs,jffs2 noinitrd
[ 0.000000] PID hash table entries: 256 (order: -2, 1024 bytes)
[ 0.000000] Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
[ 0.000000] Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Writing ErrCtl register=00000000
[ 0.000000] Readback ErrCtl register=00000000
[ 0.000000] Memory: 61272k/65536k available (2241k kernel code, 4264k reserved, 601k data, 228k init, 0k highmem)
[ 0.000000] SLUB: HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:51
[ 0.000000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[ 0.080000] pid_max: default: 32768 minimum: 301
[ 0.080000] Mount-cache hash table entries: 512
[ 0.090000] NET: Registered protocol family 16
[ 0.100000] MIPS: machine is 8devices Carambola2 board
[ 0.550000] bio: create slab <bio-0> at 0
[ 0.560000] Switching to clocksource MIPS
[ 0.570000] NET: Registered protocol family 2
[ 0.570000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[ 0.570000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[ 0.570000] TCP: Hash tables configured (established 512 bind 512)
[ 0.580000] TCP: reno registered
[ 0.580000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.590000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.600000] NET: Registered protocol family 1
[ 0.620000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.620000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.640000] msgmni has been set to 119
[ 0.640000] io scheduler noop registered
[ 0.640000] io scheduler deadline registered (default)
[ 0.650000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[ 0.650000] ar933x-uart: ttyATH0 at MMIO 0x18020000 (irq = 11) is a AR933X UART
[ 0.660000] console [ttyATH0] enabled, bootconsole disabled
[ 0.660000] console [ttyATH0] enabled, bootconsole disabled
[ 0.670000] ath79-spi ath79-spi: master is unqueued, this is deprecated
[ 0.680000] m25p80 spi0.0: found w25q128, expected m25p80
[ 0.680000] m25p80 spi0.0: w25q128 (16384 Kbytes)
[ 0.690000] 5 cmdlinepart partitions found on MTD device spi0.0
[ 0.700000] Creating 5 MTD partitions on "spi0.0":
[ 0.700000] 0x000000000000-0x000000040000 : "u-boot"
[ 0.710000] 0x000000040000-0x000000050000 : "u-boot-env"
[ 0.710000] 0x000000050000-0x000000820000 : "firmware"
[ 0.730000] 2 uimage-fw partitions found on MTD device firmware
[ 0.730000] 0x000000050000-0x000000160000 : "kernel"
[ 0.740000] 0x000000160000-0x000000820000 : "rootfs"
[ 0.740000] mtd: device 4 (rootfs) set to be root filesystem
[ 0.750000] 1 squashfs-split partitions found on MTD device rootfs
[ 0.750000] 0x000000480000-0x000000820000 : "rootfs_data"
[ 0.760000] 0x000000820000-0x000000ff0000 : "backup"
[ 0.770000] 0x000000ff0000-0x000001000000 : "art"
[ 0.790000] libphy: ag71xx_mdio: probed
[ 1.340000] ag71xx-mdio.1: Found an AR7240/AR9330 built-in switch
[ 2.370000] eth0: Atheros AG71xx at 0xba000000, irq 5, mode:GMII
[ 2.920000] ag71xx ag71xx.0: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
[ 2.930000] eth1: Atheros AG71xx at 0xb9000000, irq 4, mode:MII
[ 2.940000] TCP: cubic registered
[ 2.940000] NET: Registered protocol family 17
[ 2.940000] 8021q: 802.1Q VLAN Support v1.8
[ 2.950000] VFS: Mounted root (squashfs filesystem) readonly on device 31:4.
[ 2.960000] Freeing unused kernel memory: 228K (80327000 - 80360000)
procd: Console is alive
[ 6.030000] usbcore: registered new interface driver usbfs
[ 6.030000] usbcore: registered new interface driver hub
[ 6.040000] usbcore: registered new device driver usb
[ 6.050000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 6.050000] ehci-platform: EHCI generic platform driver
[ 6.060000] ehci-platform ehci-platform: EHCI Host Controller
[ 6.060000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[ 6.070000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[ 6.100000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[ 6.100000] hub 1-0:1.0: USB hub found
[ 6.100000] hub 1-0:1.0: 1 port detected
[ 6.110000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
procd: - preinit -
Press the [f] key and hit [enter] to enter failsafe mode
Press the [1], [2], [3] or [4] key and hit [enter] to select the debug level
jffs2 is ready
jffs2 is ready
[ 10.770000] jffs2: notice: (302) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 16 of xref (0 dead, 2 orphan) found.
switching to overlay
procd: - early -
procd: - ubus -
procd: - init -
Please press Enter to activate this console.
[ 12.680000] NET: Registered protocol family 10
[ 12.700000] nf_conntrack version 0.5.0 (960 buckets, 3840 max)
[ 12.710000] ip6_tables: (C) 2000-2006 Netfilter Core Team
[ 12.730000] Linux video capture interface: v2.00
[ 12.750000] Loading modules backported from Linux version master-2014-05-22-0-gf2032ea
[ 12.760000] Backport generated by backports.git backports-20140320-37-g5c33da0
[ 12.770000] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 12.810000] usbcore: registered new interface driver uvcvideo
[ 12.810000] USB Video Class driver (1.1.1)
[ 12.840000] xt_time: kernel timezone is -0000
[ 12.870000] cfg80211: Calling CRDA to update world regulatory domain
[ 12.870000] cfg80211: World regulatory domain updated:
[ 12.880000] cfg80211: DFS Master region: unset
[ 12.880000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[ 12.890000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 12.900000] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 12.910000] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[ 12.910000] cfg80211: (5170000 KHz - 5250000 KHz @ 160000 KHz), (N/A, 2000 mBm), (N/A)
[ 12.920000] cfg80211: (5250000 KHz - 5330000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[ 12.930000] cfg80211: (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[ 12.940000] cfg80211: (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[ 12.950000] cfg80211: (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[ 13.100000] cfg80211: Calling CRDA for country: US
[ 13.120000] cfg80211: Regulatory domain changed to country: US
[ 13.120000] cfg80211: DFS Master region: FCC
[ 13.120000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[ 13.130000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 3000 mBm), (N/A)
[ 13.140000] cfg80211: (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 1700 mBm), (N/A)
[ 13.150000] cfg80211: (5250000 KHz - 5330000 KHz @ 80000 KHz), (N/A, 2300 mBm), (0 s)
[ 13.160000] cfg80211: (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 3000 mBm), (N/A)
[ 13.170000] cfg80211: (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[ 13.170000] ieee80211 phy0: Atheros AR9330 Rev:1 mem=0xb8100000, irq=2
[ 21.730000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 21.730000] device eth0 entered promiscuous mode
[ 21.740000] IPv6: ADDRCONF(NETDEV_UP): br-lan: link is not ready
[ 21.760000] IPv6: ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 22.780000] cfg80211: Calling CRDA for country: DE
[ 22.790000] cfg80211: Regulatory domain changed to country: DE
[ 22.790000] cfg80211: DFS Master region: ETSI
[ 22.790000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[ 22.800000] cfg80211: (2400000 KHz - 2483000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 22.810000] cfg80211: (5150000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[ 22.820000] cfg80211: (5250000 KHz - 5350000 KHz @ 80000 KHz), (N/A, 2000 mBm), (0 s)
[ 22.830000] cfg80211: (5470000 KHz - 5725000 KHz @ 80000 KHz), (N/A, 2700 mBm), (0 s)
[ 22.840000] cfg80211: (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[ 25.180000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 25.190000] device wlan0 entered promiscuous mode
[ 25.210000] br-lan: port 2(wlan0) entered forwarding state
[ 25.210000] br-lan: port 2(wlan0) entered forwarding state
[ 25.220000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 25.240000] IPv6: ADDRCONF(NETDEV_CHANGE): br-lan: link becomes ready
[ 27.130000] warning: `alljoyn-daemon' uses 32-bit capabilities (legacy support in use)
[ 27.210000] br-lan: port 2(wlan0) entered forwarding state
[ 28.910000] device wlan0 left promiscuous mode
[ 28.910000] br-lan: port 2(wlan0) entered disabled state
[ 30.110000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 32.020000] wlan0: authenticate with 90:f6:52:7f:65:bc
[ 32.030000] wlan0: send auth to 90:f6:52:7f:65:bc (try 1/3)
[ 33.040000] wlan0: send auth to 90:f6:52:7f:65:bc (try 2/3)
[ 34.040000] wlan0: send auth to 90:f6:52:7f:65:bc (try 3/3)
[ 35.040000] wlan0: authentication with 90:f6:52:7f:65:bc timed out
[ 35.950000] wlan0: authenticate with 90:f6:52:7f:65:bc
[ 36.150000] wlan0: send auth to 90:f6:52:7f:65:bc (try 1/3)
[ 36.410000] wlan0: aborting authentication with 90:f6:52:7f:65:bc by local choice (Reason: 3=DEAUTH_LEAVING)
[ 37.230000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 37.340000] ------------[ cut here ]------------
[ 37.340000] WARNING: at /opt/openwrt-bb/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/drivers/net/wireless/ath/ath9k/hw.c:706 ar9003_get_pll_sqsum_dvc+0xa4/0xf4 [ath9k_hw]()
[ 37.360000] Modules linked in: ath9k ath9k_common iptable_nat ath9k_hw ath nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT uvcvideo nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables input_core crc_ccitt compat videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[ 37.430000] CPU: 0 PID: 174 Comm: kworker/u2:2 Not tainted 3.10.49 #1
[ 37.430000] Workqueue: phy0 ath_hw_pll_work [ath9k]
[ 37.440000] Stack : 83918c00 802d3a84 83182e7c 000002c2 831c8edc 00000002 00000000 83838810

00000088 8027abec 000000ae 801e3468 839005d8 00000002 802e1090 8391dd64
8391dd64 8027abec 00000003 801e2f8c 831c8edc 00000000 00000000 800be708
00000000 00000000 00000000 00000000 00000000 00000000 70687930 00000000
00000000 00000000 00000000 00000000 83097700 83097800 8326ac64 8391dd10
...

[ 37.470000] Call Trace:
[ 37.480000] [<80223920>] show_stack+0x48/0x70
[ 37.480000] [<8028a170>] warn_slowpath_common+0x78/0xa8
[ 37.490000] [<8028a228>] warn_slowpath_null+0x18/0x24
[ 37.490000] [<83182e7c>] ar9003_get_pll_sqsum_dvc+0xa4/0xf4 [ath9k_hw]
[ 37.500000] [<8326acb0>] ath_hw_pll_work+0x4c/0xdc [ath9k]
[ 37.500000] [<801eba18>] process_one_work+0x228/0x364
[ 37.510000] [<8028b520>] worker_thread+0x234/0x388
[ 37.510000] [<8018c3fc>] kthread+0xb0/0xb8
[ 37.520000] [<80060878>] ret_from_kernel_thread+0x14/0x1c
[ 37.520000]
[ 37.520000] ---[ end trace f8433ff95b2831b3 ]---
[ 37.530000] ath: phy0: PLL4 meaurement not done
[ 37.640000] ath: phy0: PLL4 meaurement not done
[ 37.750000] ath: phy0: PLL4 meaurement not done
[ 37.860000] ath: phy0: PLL4 meaurement not done
[ 37.970000] ath: phy0: PLL4 meaurement not done
[ 38.080000] ath: phy0: PLL4 meaurement not done
[ 38.190000] ath: phy0: PLL4 meaurement not done
[ 39.070000] wlan0: authenticate with 90:f6:52:7f:65:bc
[ 39.270000] wlan0: send auth to 90:f6:52:7f:65:bc (try 1/3)
[ 40.050000] wlan0: send auth to 90:f6:52:7f:65:bc (try 2/3)
[ 40.280000] wlan0: send auth to 90:f6:52:7f:65:bc (try 3/3)
[ 41.050000] wlan0: authentication with 90:f6:52:7f:65:bc timed out
[ 41.940000] wlan0: authenticate with 90:f6:52:7f:65:bc
[ 42.140000] wlan0: send auth to 90:f6:52:7f:65:bc (try 1/3)
[ 43.050000] wlan0: send auth to 90:f6:52:7f:65:bc (try 2/3)
[ 43.150000] wlan0: send auth to 90:f6:52:7f:65:bc (try 3/3)
[ 43.220000] wlan0: authentication with 90:f6:52:7f:65:bc timed out
[ 45.500000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 45.580000] device wlan0 entered promiscuous mode
[ 45.590000] br-lan: port 2(wlan0) entered forwarding state
[ 45.590000] br-lan: port 2(wlan0) entered forwarding state
[ 45.600000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
procd: - init complete -
[ 47.590000] br-lan: port 2(wlan0) entered forwarding state

Seems for me that this is a timing problem inside the driver or the hardware is to slow for setting the register?!?
Have you any idea how to solve this problem?
Are there more problems with other encryption types?
We need a solution for this bug because we cannot pass the acceptance test for series production if we are not able to solve this bug.
Hope someone of you can help us. If you need further information you are welcome to contact me directly.

Best regards

Attachments (0)

Change History (2)

comment:1 Changed 3 years ago by nbd

please try latest trunk

comment:2 Changed 3 years ago by nbd

  • Resolution set to no_response
  • Status changed from new to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.